Name: mysql-workbench-gpl
Version: 5.2.29
Release: alt0.M51.1
Packager: Evgeny Sinelnikov <sin@altlinux.ru>

Summary: A MySQL visual database modeling tool

License: %gpl2only
Group: Development/Databases
Url: http://wb.mysql.com
Source0: %name-%version.tar.gz

Patch1: mysql-workbench-gpl-5.2.25-alt-build.patch

Provides: mysql-workbench-oss = %version
Obsoletes: mysql-workbench-oss

# "_mforms" and "grt" are accessable from "MySQL Workbench GRT Shell" only.
%add_python_req_skip _mforms grt

# internal Workbench's libraries
%add_python_req_skip db_utils wb

# shell_snippets.py is not pure Python
%add_findreq_skiplist */mysql-workbench/shell_snippets.py

# templates only
%add_findreq_skiplist */mysql-workbench/script_templates/*

Requires: python-module-paramiko python-module-pexpect
Requires: MySQL-client gnome-keyring
Requires: %name-data

BuildRequires(pre): rpm-build-licenses

# Automatically added by buildreq on Tue Mar 23 2010
BuildRequires: boost-devel gcc-c++ libMySQL5.1-devel libglade-devel libgnome-devel libgtkmm2-devel liblua5-devel libpcre-devel libsqlite3-devel libuuid-devel libzip-devel python-devel

BuildRequires: libGL-devel

%description
MySQL Workbench is modeling tool that allows you to design
and generate MySQL databases graphically.

%package data
Summary: Architecture independent files for %name
License: %gpl2only
Group: Development/Databases
BuildArch: noarch

%description data
Architecture independent files for %name

%prep

%setup -q

%patch1 -p2

%set_verify_elf_method unresolved=relaxed

%build

NOCONFIGURE=yes ./autogen.sh

export LIBS="-lgthread-2.0"

%configure --disable-debug

%make_build

%install

%makeinstall_std

%files
%exclude %_libdir/mysql-workbench/*.*a
%exclude %_libdir/mysql-workbench/plugins/*.*a
%exclude %_libdir/mysql-workbench/modules/*.*a
%exclude %_libdir/mysql-workbench/modules/*.py?

%exclude %_datadir/applications/*.desktop
%exclude %_datadir/mysql-workbench/*

%doc COPYING
%_bindir/mysql-workbench
%_bindir/mysql-workbench-bin
%dir %_libdir/mysql-workbench
%_libdir/mysql-workbench/*

%files data
%_datadir/applications/*.desktop
%dir %_datadir/mysql-workbench
%_datadir/mysql-workbench/*

%changelog
* Sat Nov 06 2010 Sergey Y. Afonin <asy@altlinux.ru> 5.2.29-alt0.M51.1
- Branch 5.1 backport

* Wed Oct 13 2010 Sergey Y. Afonin <asy@altlinux.ru> 5.2.29-alt1
- New version
- Architecture independent files moved to mysql-workbench-gpl-data subpackage
- Removed "Vendor" tag: not need in ALT Linux

* Mon Sep 27 2010 Sergey Y. Afonin <asy@altlinux.ru> 5.2.28-alt1
- New version

* Sun Aug 15 2010 Sergey Y. Afonin <asy@altlinux.ru> 5.2.26-alt1
- New version
- added libGL-devel to BuildRequires (14/08/2010 test rebuild failed for
  5.2.25-alt1 with "configure: error: OpenGL headers not found")

* Thu Jul 08 2010 Sergey Y. Afonin <asy@altlinux.ru> 5.2.25-alt1
- New version, renamed from mysql-workbench-oss to mysql-workbench-gpl
- Removed patch for linking problem with my_stat() (fixed in mainstream)
- Removed python-devel-static and rpm-build-compat from BuildRequires

* Sun May 02 2010 Evgeny Sinelnikov <sin@altlinux.ru> 5.2.20-alt1
- Update to new release (5.2.20 Beta 10)
- Fix linking problem with my_stat()

* Wed Apr 21 2010 Evgeny Sinelnikov <sin@altlinux.ru> 5.2.19-alt1
- Build new version for Sisyphus

* Fri Apr 02 2010 Sergey Y. Afonin <asy@altlinux.ru> 5.2.16-alt1
- Initial build for AltLinux (5.2.16 Beta 6)
